CREATE TABLE OM_P_ADMIN(VC_USERID VARCHAR(50) NOT NULL,VC_PACKAGEID VARCHAR(50) NOT NULL,VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP,CONSTRAINT SYS_PK_OM_P_ADMIN PRIMARY KEY(VC_USERID,VC_PACKAGEID))
CREATE TABLE OM_P_USER(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_RANKID VARCHAR(50),VC_NAME VARCHAR(50) NOT NULL,VC_FULLNAME VARCHAR(100),VC_PASSWORD VARCHAR(50) NOT NULL,VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP)
CREATE TABLE OM_P_RANK(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_NAME VARCHAR(50) NOT NULL,VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP,CONSTRAINT SYS_CT_13 UNIQUE(VC_NAME))
CREATE TABLE OM_P_DEPARTMENT(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_CATEGORYID VARCHAR(50) NOT NULL,VC_PRESIDENTID VARCHAR(50),VC_NAME VARCHAR(50) NOT NULL,VC_PARENT VARCHAR(50),VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP)
CREATE TABLE OM_P_CATEGORY(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_NAME VARCHAR(50) NOT NULL,VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP,CONSTRAINT SYS_CT_15 UNIQUE(VC_NAME))
CREATE TABLE OM_P_GROUP(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_NAME VARCHAR(50) NOT NULL,VC_DEPARTMENTID VARCHAR(50),VC_PRESIDENTID VARCHAR(50),VC_PARENT VARCHAR(50),VC_DESCRIPTION VARCHAR(255),DAT_CREATE TIMESTAMP)
CREATE TABLE OM_P_ROLE(VC_UUID VARCHAR(50) NOT NULL PRIMARY KEY,VC_NAME VARCHAR(50) NOT NULL,VC_DEPARTMENTID VARCHAR(50),VC_DESCRIPTION VARCHAR(255),CONSTRAINT SYS_CT_17 UNIQUE(VC_NAME))
CREATE TABLE OM_P_USER_DEPARTMENT(VC_DEPARTMENETID VARCHAR(50) NOT NULL,VC_USERID VARCHAR(50) NOT NULL,CONSTRAINT SYS_PK_OM_P_USER_DEPARTMENT PRIMARY KEY(VC_USERID,VC_DEPARTMENETID))
CREATE TABLE OM_P_USER_GROUP(VC_USERID VARCHAR(50) NOT NULL,VC_GROUPID VARCHAR(50) NOT NULL,CONSTRAINT SYS_PK_OM_P_USER_GROUP PRIMARY KEY(VC_USERID,VC_GROUPID))
CREATE TABLE OM_P_USER_ROLE(VC_ROLEID VARCHAR(50) NOT NULL,VC_USERID VARCHAR(50) NOT NULL,CONSTRAINT SYS_PK_OM_P_USER_ROLE PRIMARY KEY(VC_ROLEID,VC_USERID))
